#include<iostream>
#include<vector>

using namespace std;

int main ()
{
	
	int t, n;
	cin >> t >> n;
	
	vector<int> a;
	vector<int> b;
	
	int ia, ib;
	int ta, tb;
	
	for (int i = 0; i < t; i++) {
		cout << "NE" << '\n'
	}
	
	return 0;
}